Subject: bug#56648: 29.0.50; Need for `compiled-function-p`

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 21:03:18 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 14 Aug 2022 13:51:57 -0400
> 
> >> -  (or (byte-code-function-p (symbol-function 'byte-compile-form))
> >> -      (subr-native-elisp-p (symbol-function 'byte-compile-form))
> >> -      (assq 'byte-code (symbol-function 'byte-compile-form)) <<<<<<<<<<<<<
> 
> According to my reading of the code, this `assq` can never return
> non-nil.

Too bad the commit log message didn't say that, then.  Imagine someone
5 or 10 years from now trying to understand the fine points of that
changeset...